/******************************************************************************
 * CLASSIFICATION: UNLASSIFIED//FOUO>
 *
 * Copyright(C) ProLogic, Incorporated 2008, 1000 Technology Drive, Fairmont, WV 26554
 * Produced pursuant to U.S. Government sponsorship.
 * 
 * Copyright applies to commercial uses only.   Notwithstanding the above
 * copyright/restriction, the Government possesses DFARS 252.227-7013. 
 * Unlimited Rights if this is technical data and DFARS 252.227-7014. 
 * Unlimited Rights if this is computer software or computer software 
 * documentation.
 * 
 * $Id: $
 *****************************************************************************/
/**
 * @file
 * Registers CppUnit test suites.
 */

#include "FieldTest.h"
#include "MaxAllocTest.h"
#include "StringUtilsTest.h"
#include "SubjectTest.h"


//wraps test suite registration so it can be called from outside the library
void UtilsRegisterUnitTests()
{
	CPPUNIT_TEST_SUITE_REGISTRATION( CFieldTest );
	CPPUNIT_TEST_SUITE_REGISTRATION( CMaxAllocTest );
	CPPUNIT_TEST_SUITE_REGISTRATION( CStringUtilsTest );
	CPPUNIT_TEST_SUITE_REGISTRATION( CSubjectTest );
}

